Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Namespace Class Reference

`#include <consoleNamespace.h>`

## Classes
struct | Entry

## Public Member Functions
| Namespace ()
| ~Namespace ()
void | addFunction (StringTableEntry name, CodeBlock *cb, U32 functionOffset, const char *usage=NULL)
void | addCommand (StringTableEntry name, StringCallback, const char *usage, S32 minArgs, S32 maxArgs)
void | addCommand (StringTableEntry name, IntCallback, const char *usage, S32 minArgs, S32 maxArgs)
void | addCommand (StringTableEntry name, FloatCallback, const char *usage, S32 minArgs, S32 maxArgs)
void | addCommand (StringTableEntry name, VoidCallback, const char *usage, S32 minArgs, S32 maxArgs)
void | addCommand (StringTableEntry name, BoolCallback, const char *usage, S32 minArgs, S32 maxArgs)
void | addOverload (const char *name, const char *altUsage)
void | markGroup (const char *name, const char *usage)
void | getEntryList (Vector< Entry * > *)
Entry * | lookup (StringTableEntry name)
Entry * | lookupRecursive (StringTableEntry name)
Entry * | createLocalEntry (StringTableEntry name)
void | buildHashTable ()
void | clearEntries ()
bool | classLinkTo (Namespace *parent)
bool | unlinkClass (Namespace *parent)
const char * | tabComplete (const char *prevText, S32 baseLen, bool fForward)

## Static Public Member Functions
static void | trashCache ()
static void | init ()
static void | shutdown ()
static Namespace * | global ()
static Namespace * | find (StringTableEntry name, StringTableEntry package=NULL)
static bool | canTabComplete (const char *prevText, const char *bestMatch, const char *newText, S32 baseLen, bool fForward)
static void | activatePackage (StringTableEntry name)
static void | deactivatePackage (StringTableEntry name)
static void | dumpClasses (bool dumpScript=true, bool dumpEngine=true)
static void | dumpFunctions (bool dumpScript=true, bool dumpEngine=true)
static void | printNamespaceEntries (Namespace *g, bool dumpScript=true, bool dumpEngine=true)
static void | unlinkPackages ()
static void | relinkPackages ()
static bool | isPackage (StringTableEntry name)

## Public Attributes
StringTableEntry | mName
StringTableEntry | mPackage
Namespace * | mParent
Namespace * | mNext
AbstractClassRep * | mClassRep
U32 | mRefCountToParent
const char * | mUsage
bool | mCleanUpUsage
Entry * | mEntryList
Entry ** | mHashTable
U32 | mHashSize
U32 | mHashSequence
char * | lastUsage

## Static Public Attributes
static U32 | mCacheSequence = 0
static DataChunker | mCacheAllocator
static DataChunker | mAllocator
static Namespace * | mNamespaceList = NULL
static Namespace * | mGlobalNamespace = NULL

## Constructor & Destructor Documentation

Namespace | ( |  | ) |

~Namespace | ( |  | ) |

## Member Function Documentation

void activatePackage | ( | StringTableEntry | name | ) |
| static

void addCommand | ( | StringTableEntry | name,
|  | StringCallback | cb,
|  | const char * | usage,
|  | S32 | minArgs,
|  | S32 | maxArgs
| ) |  |

void addCommand | ( | StringTableEntry | name,
|  | IntCallback | cb,
|  | const char * | usage,
|  | S32 | minArgs,
|  | S32 | maxArgs
| ) |  |

void addCommand | ( | StringTableEntry | name,
|  | FloatCallback | cb,
|  | const char * | usage,
|  | S32 | minArgs,
|  | S32 | maxArgs
| ) |  |

void addCommand | ( | StringTableEntry | name,
|  | VoidCallback | cb,
|  | const char * | usage,
|  | S32 | minArgs,
|  | S32 | maxArgs
| ) |  |

void addCommand | ( | StringTableEntry | name,
|  | BoolCallback | cb,
|  | const char * | usage,
|  | S32 | minArgs,
|  | S32 | maxArgs
| ) |  |

void addFunction | ( | StringTableEntry | name,
|  | CodeBlock * | cb,
|  | U32 | functionOffset,
|  | const char * | usage = `NULL`
| ) |  |

void addOverload | ( | const char * | name,
|  | const char * | altUsage
| ) |  |

void buildHashTable | ( |  | ) |

bool canTabComplete | ( | const char * | prevText,
|  | const char * | bestMatch,
|  | const char * | newText,
|  | S32 | baseLen,
|  | bool | fForward
| ) |  |
| static

bool classLinkTo | ( | Namespace * | parent | ) |

void clearEntries | ( |  | ) |

Namespace::Entry * createLocalEntry | ( | StringTableEntry | name | ) |

void deactivatePackage | ( | StringTableEntry | name | ) |
| static

void dumpClasses | ( | bool | dumpScript = `true`,
|  | bool | dumpEngine = `true`
| ) |  |
| static

void dumpFunctions | ( | bool | dumpScript = `true`,
|  | bool | dumpEngine = `true`
| ) |  |
| static

Namespace * find | ( | StringTableEntry | name,
|  | StringTableEntry | package = `NULL`
| ) |  |
| static

void getEntryList | ( | Vector< Entry * > * | vec | ) |

Namespace * global | ( |  | ) |
| static

void init | ( |  | ) |
| static

bool isPackage | ( | StringTableEntry | name | ) |
| static

Namespace::Entry * lookup | ( | StringTableEntry | name | ) |

Namespace::Entry * lookupRecursive | ( | StringTableEntry | name | ) |

void markGroup | ( | const char * | name,
|  | const char * | usage
| ) |  |

void printNamespaceEntries | ( | Namespace * | g,
|  | bool | dumpScript = `true`,
|  | bool | dumpEngine = `true`
| ) |  |
| static

void relinkPackages | ( |  | ) |
| static

void shutdown | ( |  | ) |
| static

const char * tabComplete | ( | const char * | prevText,
|  | S32 | baseLen,
|  | bool | fForward
| ) |  |

void trashCache | ( |  | ) |
| static

bool unlinkClass | ( | Namespace * | parent | ) |

void unlinkPackages | ( |  | ) |
| static

## Member Data Documentation

char* lastUsage

DataChunker mAllocator
| static

DataChunker mCacheAllocator
| static

U32 mCacheSequence = 0
| static

AbstractClassRep* mClassRep

bool mCleanUpUsage

Entry* mEntryList

Namespace * mGlobalNamespace = NULL
| static

U32 mHashSequence

Note
  The hash sequence is used by the autodoc console facility as a means of testing reference state.

U32 mHashSize

Entry** mHashTable

StringTableEntry mName

Namespace * mNamespaceList = NULL
| static

Namespace* mNext

StringTableEntry mPackage

Namespace* mParent

U32 mRefCountToParent

const char* mUsage

The documentation for this class was generated from the following files:

- console/consoleNamespace.h
- console/consoleDoc.cc
- console/consoleNamespace.cc